Bug 13480 - window.Attr is undefined
Summary: window.Attr is undefined
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: DOM (show other bugs)
Version: 523.x (Safari 3)
Hardware: Macintosh OS X 10.4
: P2 Normal
Assignee: Alexey Proskuryakov
URL: javascript:alert(window.Attr)
Keywords:
Depends on:
Blocks: 4986
  Show dependency treegraph
 
Reported: 2007-04-25 04:06 PDT by Alexey Proskuryakov
Modified: 2007-05-08 11:04 PDT (History)
0 users

See Also:


Attachments
proposed fix (23.61 KB, patch)
2007-04-25 13:31 PDT, Alexey Proskuryakov
hyatt: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Proskuryakov 2007-04-25 04:06:40 PDT
This causes a problem with bindows.net, which attempts to manipulate Attr.prototype.
Comment 1 Alexey Proskuryakov 2007-04-25 13:31:14 PDT
Created attachment 14184 [details]
proposed fix

Added a bunch of new global constructors. Leaving it to the reviewer to decide whether this is appropriate during stabilization.

It seems like we have a terminology problem somewhere. Invoking "new Element" results in a weird error message: "TypeError: Value [object ElementConstructor] (result of expression window.Element) is not a constructor. Cannot be used with new."
Comment 2 Dave Hyatt 2007-05-07 22:07:29 PDT
Comment on attachment 14184 [details]
proposed fix

r=me
Comment 3 Alexey Proskuryakov 2007-05-08 11:04:17 PDT
Committed revision 21308.

Filed bug 13626 for the error message.